import Link from "next/link";
import { ReactElement } from "react";

type ButtonProps = {
  /**
   * The title of the button.
   */
  title: string;

  /**
   * The URL to go to.
   */
  url: string;

  /**
   * Whether clicking the button will
   * open the link in a new tab.
   */
  openInNewTab?: boolean;
};

export function HrefButton({ title, url, openInNewTab }: ButtonProps): ReactElement {
  return (
    <div className="w-fit rounded-lg">
      <Link href={url} target={openInNewTab ? "_blank" : ""}>
        <p className="hover:text-primary transition-all">{title}</p>
      </Link>
    </div>
  );
}
